// 电厂信息接口
import request from '@/common/request.js'

export default {

	/**
	 * @todo: 获取电厂列表
	 * @param: 无
	 */
	getPlantList: () => {
		return request({
			url: 'plant/info/list',
			method: 'get',
		})
	},

	/**
	 * @todo: 获取机组上所有测点
	 * @param: id 机组id
	 */
	getCharacterList: (id) => {
		return request({
			url: `plant/device/downBox/${id}`,
			method: 'get',
		})
	},
  
  /**
   * @todo: 获取测点趋势数据
   * @param: keys 测点kkscode列表，status 数据类型0原始1周均线，timeModelQuery 时间范围
   */
  getTendency: (data) => {
    return request({
    	url: 'plant/measure/tendency',
    	method: 'post',
      data
    })
  }

}
