// 报警记录
import request from '@/common/request.js'

export default {

	/**
	 * @todo: 获取报警列表
	 * @param: plantId 电厂id
	 * @param: deviceId 机组id
	 * @param: eventInfo 0未处理1已处理
	 * @param: pageNo 页码
	 * @param: pageSize 页尺寸
	 */
	getWarnList: (params) => {
		return request({
			url: 'alarm/record/page/list',
			method: 'get',
      params
		})
	},

	/**
	 * @todo: 改变事件状态
	 * @param: id 事件id
	 * @param: eventInfo 0未处理1已处理
	 */
	changeState: (data) => {
		return request({
			url: '/alarm/record/eventInfo/status',
			method: 'put',
      data
		})
	},
  
}
